Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.rim
Interface SpecificationLinkType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, IdentifiableType, org.eclipse.emf.common.notify.Notifier, RegistryObjectType

All Known Implementing Classes:
  SpecificationLinkTypeImpl

    public interface SpecificationLinkType

extends RegistryObjectType

A representation of the model object 'Specification Link Type'.

The following features are supported:

- `Usage Description`
- `Usage Parameter`
- `Service Binding`
- `Specification Object`

See Also:
  `RimPackage.getSpecificationLinkType()`

Method Summary
`java.lang.String` | `getServiceBinding()` Returns the value of the 'Service Binding' attribute.
`java.lang.String` | `getSpecificationObject()` Returns the value of the 'Specification Object' attribute.
`InternationalStringType` | `getUsageDescription()` Returns the value of the 'Usage Description' containment reference.
`org.eclipse.emf.common.util.EList` | `getUsageParameter()` Returns the value of the 'Usage Parameter' attribute list.
`void` | `setServiceBinding(java.lang.String value)` Sets the value of the '`Service Binding`' attribute.
`void` | `setSpecificationObject(java.lang.String value)` Sets the value of the '`Specification Object`' attribute.
`void` | `setUsageDescription(InternationalStringType value)` Sets the value of the '`Usage Description`' containment reference.

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._3._0.rim.RegistryObjectType
`getClassification, getDescription, getExternalIdentifier, getLid, getName, getObjectType, getStatus, getVersionInfo, setDescription, setLid, setName, setObjectType, setStatus, setVersionInfo`

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._3._0.rim.IdentifiableType
`getHome, getId, getSlot, setHome, setId`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getUsageDescription

    InternationalStringType getUsageDescription()

  Returns the value of the 'Usage Description' containment reference.

  If the meaning of the 'Usage Description' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Usage Description' containment reference.
  See Also:
    `setUsageDescription(InternationalStringType)`, `RimPackage.getSpecificationLinkType_UsageDescription()`

### setUsageDescription

    void setUsageDescription(InternationalStringType value)

  Sets the value of the '`Usage Description`' containment reference.

  Parameters:
    `value` - the new value of the 'Usage Description' containment reference.
  See Also:
    `getUsageDescription()`

### getUsageParameter

    org.eclipse.emf.common.util.EList getUsageParameter()

  Returns the value of the 'Usage Parameter' attribute list. The list contents are of type `String`.

  If the meaning of the 'Usage Parameter' attribute list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Usage Parameter' attribute list.
  See Also:
    `RimPackage.getSpecificationLinkType_UsageParameter()`

### getServiceBinding

    java.lang.String getServiceBinding()

  Returns the value of the 'Service Binding' attribute.

  If the meaning of the 'Service Binding' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Service Binding' attribute.
  See Also:
    `setServiceBinding(String)`, `RimPackage.getSpecificationLinkType_ServiceBinding()`

### setServiceBinding

    void setServiceBinding(java.lang.String value)

  Sets the value of the '`Service Binding`' attribute.

  Parameters:
    `value` - the new value of the 'Service Binding' attribute.
  See Also:
    `getServiceBinding()`

### getSpecificationObject

    java.lang.String getSpecificationObject()

  Returns the value of the 'Specification Object' attribute.

  If the meaning of the 'Specification Object' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Specification Object' attribute.
  See Also:
    `setSpecificationObject(String)`, `RimPackage.getSpecificationLinkType_SpecificationObject()`

### setSpecificationObject

    void setSpecificationObject(java.lang.String value)

  Sets the value of the '`Specification Object`' attribute.

  Parameters:
    `value` - the new value of the 'Specification Object' attribute.
  See Also:
    `getSpecificationObject()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD